webdevqa.jp.net

.NET Framework 4.0でMVC 5アプリケーションを実行できますか?

VS 2013で作成したMVC 5アプリケーションがあります。今、このアプリケーションをデプロイしようとしていますが、質問があります。4.0.Net Frameworkを搭載したサーバーにMVC 5をデプロイできますか?

Deploy Packageを作成し、このパッケージをIISにインポートしようとしました。 「インポート成功」と表示されていますが、Webサイトを「参照」しようとすると次のように表示されます。

HTTP Error 403.14 - Forbidden

The Web server is configured to not list the contents of this directory.

確認したところDirectory BrowsingおよびIISのEnabled

42
Bryuk

いいえ、ASP.NET MVC 5には少なくとも.NET 4.5が必要です。ディレクトリの参照は問題ではありません。オンにしないでください。イベントビューアーでエラーを確認します。

この声明の公式ソースにはリンクできませんが、.NET 4.0に切り替えたときにASP.NET MVC 4プロジェクトテンプレートしか取得できません。

60

私はそれを試して、このエラーを得ました:

Install-Package:パッケージ 'Microsoft.AspNet.Razor 3.0.0'をインストールできませんでした。 '.NETFramework、Version = v4.0'をターゲットとするプロジェクトにこのパッケージをインストールしようとしていますが、パッケージには、そのフレームワークと互換性のあるアセンブリ参照またはコンテンツファイルが含まれていません。詳細については、パッケージの作成者にお問い合わせください。

そのため、Razor 3+への推移的な依存関係のため、NuGetを介して.NET 4では使用できません。

3
Sam